unit Enter;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfEnter = class(TForm)
    lblUserID: TLabel;
    pnEnter: TPanel;
    edEnter: TEdit;
    cbSign: TCheckBox;
    procedure FormKeyDown(Sender: TObject; var Key: Word;
      Shift: TShiftState);
  private
  public
  end;

var
  fEnter: TfEnter;

implementation

uses TestUnit;

{$R *.DFM}

procedure TfEnter.FormKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
var msgKey: TMsg;
begin
  case Key of
    VK_RETURN: Close;
    VK_ESCAPE: edEnter.Text:='';
  end;
  if Key in [VK_RETURN, VK_ESCAPE] then begin
    PeekMessage(msgKey, edEnter.Handle, WM_KEYFIRST, WM_KEYLAST, PM_REMOVE);
    Close;
  end;
end;

end.
